import { APIKeyCreateDto, APIKeyCreateResponseDto, APIKeyResponseDto, APIKeyUpdateDto } from 'src/dtos/api-key.dto';
import { AuthDto } from 'src/dtos/auth.dto';
import { BaseService } from 'src/services/base.service';
export declare class ApiKeyService extends BaseService {
    create(auth: AuthDto, dto: APIKeyCreateDto): Promise<APIKeyCreateResponseDto>;
    update(auth: AuthDto, id: string, dto: APIKeyUpdateDto): Promise<APIKeyResponseDto>;
    delete(auth: AuthDto, id: string): Promise<void>;
    getMine(auth: AuthDto): Promise<APIKeyResponseDto>;
    getById(auth: AuthDto, id: string): Promise<APIKeyResponseDto>;
    getAll(auth: AuthDto): Promise<APIKeyResponseDto[]>;
    private map;
}
